# Delete a Thermostat Schedule

* [Request Parameters](#request-parameters)
* [Response](#response)

Deletes a [thermostat schedule](https://docs.seam.co/latest/capability-guides/thermostats/creating-and-managing-thermostat-schedules) for a specified [thermostat](https://docs.seam.co/latest/capability-guides/thermostats).

{% tabs %}
{% tab title="JavaScript" %}
Deletes a thermostat schedule for a specified thermostat.

**Code:**

```javascript
await seam.thermostats.schedules.delete({
  thermostat_schedule_id: "0d42131f-ceb2-4fdf-b44e-3cc1143f98de",
});
```

**Output:**

```javascript
// void
```

{% endtab %}

{% tab title="cURL" %}
Deletes a thermostat schedule for a specified thermostat.

**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/thermostats/schedules/delete" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "thermostat_schedule_id": "0d42131f-ceb2-4fdf-b44e-3cc1143f98de"
}
EOF
```

**Output:**

```curl
{}
```

{% endtab %}

{% tab title="Python" %}
Deletes a thermostat schedule for a specified thermostat.

**Code:**

```python
seam.thermostats.schedules.delete(
    thermostat_schedule_id="0d42131f-ceb2-4fdf-b44e-3cc1143f98de"
)
```

**Output:**

```python
None
```

{% endtab %}

{% tab title="Ruby" %}
Deletes a thermostat schedule for a specified thermostat.

**Code:**

```ruby
seam.thermostats.schedules.delete(thermostat_schedule_id: "0d42131f-ceb2-4fdf-b44e-3cc1143f98de")
```

**Output:**

```ruby
nil
```

{% endtab %}

{% tab title="PHP" %}
Deletes a thermostat schedule for a specified thermostat.

**Code:**

```php
$seam->thermostats->schedules->delete(
    thermostat_schedule_id: "0d42131f-ceb2-4fdf-b44e-3cc1143f98de",
);
```

**Output:**

```php
```

{% endtab %}

{% tab title="Seam CLI" %}
Deletes a thermostat schedule for a specified thermostat.

**Code:**

```seam_cli
seam thermostats schedules delete --thermostat_schedule_id "0d42131f-ceb2-4fdf-b44e-3cc1143f98de"
```

**Output:**

```seam_cli
{}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Authentication Methods</summary>

* API key
* Client session token
* Personal access token\
  Must also include the `seam-workspace` header in the request.

To learn more, see [Authentication](https://docs.seam.co/latest/api/authentication).

</details>

## Request Parameters

**`thermostat_schedule_id`** *String* (Required)

ID of the thermostat schedule that you want to delete.

***

## Response

{% hint style="success" %}
Returns: **void**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/thermostats/schedules/delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
